POST
Capture a screenshot

Authorizations

x-api-key
string
header
required

Headers

x-bma-project-id
string

Project scope. Required when the API key can access more than one project (alias: anthropic-workspace-id).

Path Parameters

desktop_session_id
string
required

Body

application/json

No fields; the body may be omitted.

Response

Success.

type
string
required
Allowed value: "desktop_screenshot"
content_type
string
required
width
integer<int32>
required
height
integer<int32>
required
captured_at
string<date-time>
required
image_base64
string
required

Base64-encoded image bytes.